## murano 1.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
Babel>=1.3
SQLAlchemy<1.1.0,>=0.9.9
stevedore>=1.5.0 # Apache-2.0
alembic>=0.8.0
eventlet>=0.17.4
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
retrying!=1.3.0,>=1.2.3 # Apache-2.0
WebOb>=1.2.3
kombu>=3.0.7
psutil<2.0.0,>=1.1.1
iso8601>=0.1.9
six>=1.9.0
netaddr!=0.7.16,>=0.7.12
PyYAML>=3.1.0
jsonpatch>=1.1
keystonemiddleware>=2.0.0
yaql>=1.0.0 # Apache 2.0 License

# For paste.util.template used in keystone.common.template
Paste

jsonschema!=2.5.0,<3.0.0,>=2.0.0
python-keystoneclient>=1.6.0
python-heatclient>=0.3.0
python-neutronclient>=2.6.0
python-muranoclient>=0.7.0
python-congressclient>=1.0.0
oslo.db>=2.4.1 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
semantic-version>=2.3.1

# not listed in global requirements
python-mistralclient>=1.0.0

=== debian/changelog ===
murano (1:1.0.0~rc1-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 10 Oct 2015 00:52:21 +0000

murano (1:1.0.0~rc1-1ubuntu1) wily; urgency=medium

  * Use openstack-pkg-tools to determine OSLO_PACKAGE_VERSION, easing
    backporting to 14.04.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Oct 2015 15:12:09 -0700

murano (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now murano-api depends on python-openstackclient.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:03:01 +0000

murano (1:1.0.0~b3-2) experimental; urgency=medium

  * Added cfapi package.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2015 15:03:08 +0200

murano (1:1.0.0~b3-1) experimental; urgency=low

  [ Ivan Udovichenko ]
  * Add myself to Uploaders field.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 11:32:15 +0200

murano (1:1.0.0~b1-1) experimental; urgency=low

  * New upstream release.
  * Remove removed-lockfile-from-requirements patch.
  * Remove remove-the-use-of-PROTOCOL_SSLv3 patch.
  * Remove patches-.testr.conf-for-test-discovery-folder patch.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Thu, 16 Jul 2015 22:39:35 +0300

murano (2015.1.0-8) unstable; urgency=medium

  * Allow running with SQLA 1.0.6:
    - Rebuilt with new depends (Closes: #790644).
    - Fixes requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:53:54 +0000

murano (2015.1.0-7) unstable; urgency=medium

  * Removes python-lockfile dependency (Closes: #789888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:37:29 +0200

murano (2015.1.0-6) unstable; urgency=medium

  * Added French debconf translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789033).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 14:50:46 +0200

murano (2015.1.0-5) unstable; urgency=medium

  * Also purges /var/cache/murano (Closes: #788832).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:32:10 +0200

murano (2015.1.0-4) unstable; urgency=medium

  * Make murano build reproduceable (Closes: #788396). Thanks to Juan Picca
    <jumapico@gmail.com> for the bug report and patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 19:28:37 +0200

murano (2015.1.0-3) unstable; urgency=medium

  * Added fr.po debconf translation (Closes: #785227).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:36:41 +0200

murano (2015.1.0-2) unstable; urgency=medium

  * Added pt.po debconf translation (Closes: #784594).
  * Added the creation of /var/cache/murano/meta in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:19:21 +0200

murano (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:10:22 +0000

murano (2015.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Rebased the "disable-failing-tests.patch" which didn't apply anymore.
  * Now generating the .conf file using oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:50:42 +0100

murano (2014.2-3) experimental; urgency=medium

  * Added ordereddict to pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Dec 2014 00:22:18 +0800

murano (2014.2-2) experimental; urgency=medium

  * murano-api and murano-engine now depends on murano-common.
  * Fixed the service type for murano-api.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 21:14:37 +0800

murano (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 13:04:57 +0800

murano (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Fixed double-declared (build-)depends on python-keystoneclient.
  * Standards-Version is now 3.9.6 (no change).
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 14:05:24 +0800

murano (2014.2~b3-1) experimental; urgency=low

  * Initial release. (Closes: #762822)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 17:35:42 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/murano.git

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i DISCOVER_DIRECTORY=murano/tests/unit testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	oslo-config-generator --output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace murano \
		--namespace oslo.db \
		--namespace oslo.messaging
	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	# Install other configuration files in a more "normal" way
	mkdir -p $(CURDIR)/debian/murano-common/etc/murano
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/etc/murano/logging.conf
	cp $(CURDIR)/etc/murano/murano-paste.ini $(CURDIR)/etc/murano/policy.json $(CURDIR)/debian/murano-common/etc/murano

	# Also install alembic_migration folder
	set -e ; for pyvers in $(PYTHONS); do \
		cp -rfv $(CURDIR)/murano/db/migration/alembic_migrations $(CURDIR)/debian/python-murano/usr/lib/python$$pyvers/dist-packages/murano/db/migration/ ; \
	done

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

## murano 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.5.0 # Apache-2.0
alembic>=0.8.0 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
retrying!=1.3.0,>=1.2.3 # Apache-2.0
WebOb>=1.2.3 # MIT
kombu>=3.0.25 # BSD
psutil<2.0.0,>=1.1.1 # BSD
six>=1.9.0 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
PyYAML>=3.1.0 # MIT
jsonpatch>=1.1 # BSD
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
testtools>=1.4.0 # MIT
yaql>=1.1.0 # Apache 2.0 License

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.0.0 # Apache-2.0
python-mistralclient>=1.0.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

=== contrib/plugins/cloudify_plugin/requirements.txt ===
cloudify-rest-client>=3.1

=== contrib/plugins/murano_exampleplugin/requirements.txt ===
python-glanceclient>=0.15.0

=== contrib/plugins/murano_heat-translator_plugin/requirements.txt ===
heat-translator>=0.4.0 # Apache-2.0
tosca-parser>=0.4.0  # Apache-2.0

=== debian/changelog ===
murano (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:47:15 +0200

murano (1:2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated de.po debconf translation (Closes: #819364).
  * Removed also-package-tempest-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:08:21 +0200

murano (1:2.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:48:52 +0000

murano (1:2.0.0~rc1-2) experimental; urgency=medium

  * Add patch to also package murano_tempest_tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 13:19:22 +0100

murano (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:16:30 +0100

murano (1:2.0.0~b3-2) experimental; urgency=medium

  * Install missing files (alembic.ini, locale, etc.).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 13:40:03 +0000

murano (1:2.0.0~b3-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/rules d/copyright: Fix upstream link.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Sets DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit instead of patching the
    .testr.conf file.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 16:07:00 +0100

murano (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 21:13:19 +0100

murano (1:1.0.1-2) unstable; urgency=medium

  * Zip the murano core-library and make it available.
  * Don't use dpkg-parsechangelog -S which doesn't work well with Trusty.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Nov 2015 14:18:14 +0100

murano (1:1.0.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #794805).
  * Added python-pymysql as runtime dependency.
  * Added missing namespaces when generating the murano.conf.
  * Setting-up rabbit config using the [oslo_messaging_rabbit] section.

  [ Corey Bryant ]
  * New upstream release for OpenStack Liberty.
  * d/control: Align dependencies with upstream.
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:11:32 +0000

murano (1:1.0.0~rc1-2) experimental; urgency=medium

  * Set http instead of https by default for the communication with keystone
    through keystonemiddleware.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 14:48:20 +0200

=== debian/control ===
Source: murano
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     git,
                     python-babel,
                     python-congressclient (>= 1.0.2),
                     python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-jsonpatch,
                     python-jsonschema,
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu (>= 3.0.25),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 1.0.0),
                     python-mock (>= 1.2),
                     python-muranoclient (>= 0.8.2),
                     python-mysqldb,
                     python-netaddr (>= 0.7.2),
                     python-neutronclient (>= 1:2.6.0),
                     python-nose,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2,
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-routes,
                     python-semantic-version,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     subunit,
                     testrepository,
                     zip,
Standards-Version: 3.9.7
Homepage: https://github.com/openstack/murano
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/murano.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/murano.git

Package: python-murano
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-babel,
         python-congressclient (>= 1.0.2),
         python-eventlet (>= 0.18.4),
         python-heatclient (>= 0.6.0),
         python-jsonpatch,
         python-jsonschema,
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-kombu (>= 3.0.25),
         python-mistralclient (>= 1.0.0),
         python-muranoclient (>= 0.8.2),
         python-mysqldb,
         python-netaddr (>= 0.7.2),
         python-neutronclient (>= 1:2.6.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2,
         python-pymysql (>= 0.6.2),
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-semantic-version,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-testtools (>= 1.4.0),
         python-webob,
         python-yaml,
         python-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - Python 2.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 2.x server code.

Package: murano-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-murano (= ${source:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         murano-common (= ${source:Version}),
         python-openstackclient,
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         murano-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: murano-cfapi
Architecture: all
Depends: adduser,
         murano-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/murano.git
+UPSTREAM_GIT = git://github.com/openstack/murano.git
 
-LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(VERSION)
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
@@ -24,7 +24,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i DISCOVER_DIRECTORY=murano/tests/unit testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i DISCOVER_DIRECTORY=murano/tests/unit testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
@@ -46,13 +46,24 @@
 
 override_dh_install:
 	dh_install -O--buildsystem=python_distutils --fail-missing
+
+	# PBR misses some files, let's force them in
+	cp -rf murano/* $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano
+	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.ApacheHttpServerCustom/LICENSE
+	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.Lighttpd/LICENSE
+	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.UpdateExecutor/LICENSE
+
 	# Get the main config file to use decent defaults.
 	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
 	oslo-config-generator --output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
 		--namespace keystonemiddleware.auth_token \
 		--namespace murano \
 		--namespace oslo.db \
-		--namespace oslo.messaging
+		--namespace oslo.log \
+		--namespace oslo.messaging \
+		--namespace oslo.policy \
+		--namespace oslo.service.service
+	sed -i 's/^[ \t#]*auth_protocol[ \t]*=[ \t].*/auth_protocol = http/' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 
@@ -66,6 +77,12 @@
 		cp -rfv $(CURDIR)/murano/db/migration/alembic_migrations $(CURDIR)/debian/python-murano/usr/lib/python$$pyvers/dist-packages/murano/db/migration/ ; \
 	done
 
+	# Zip the murano core-library and push it in the package.
+	# Note that this is done in a reproducible way, adjusting timestamps
+	# before zipping the files.
+	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..
+
 override_dh_clean:
 	rm -rf 	build \
 	 	debian/murano-common.postinst \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/murano/tags .*/(\d[\d\.rcb]+)\.tar\.gz

## murano 2.0.1

=== requirements.txt ===
--- 
+++ 
@@ -2,14 +2,14 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 stevedore>=1.5.0 # Apache-2.0
 alembic>=0.8.0 # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT
 PasteDeploy>=1.5.0 # MIT
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
-Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 WebOb>=1.2.3 # MIT
 kombu>=3.0.25 # BSD
@@ -26,7 +26,7 @@
 Paste # MIT
 
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 python-heatclient>=0.6.0 # Apache-2.0
 python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
@@ -34,7 +34,7 @@
 python-mistralclient>=1.0.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.messaging>=4.0.0 # Apache-2.0

=== contrib/plugins/magnum_plugin/requirements.txt ===
python-magnumclient>=1.1.0

=== debian/changelog ===
murano (1:2.0.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 08:23:28 +0000

murano (1:2.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixes CVE-2016-4972: RCE vulnerability in Openstack Murano using insecure
    YAML tags (Closes: #828062).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 19:19:58 +0000

murano (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821244).
  * Added patch to fix tempest.conf when python-murano is installed.
  * Updated Dutch translation for debconf messages (Closes: #823257).

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Apr 2016 00:27:23 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                      python-netaddr (>= 0.7.2),
                      python-neutronclient (>= 1:2.6.0),
                      python-nose,
-                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 4.1.0),
@@ -74,7 +74,7 @@
                      subunit,
                      testrepository,
                      zip,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/murano
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/murano.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/murano.git
@@ -97,7 +97,7 @@
          python-mysqldb,
          python-netaddr (>= 0.7.2),
          python-neutronclient (>= 1:2.6.0),
-         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.concurrency (>= 3.7.1),
          python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 4.1.0),

## murano 3.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.10.0 # Apache-2.0
alembic>=0.8.4 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
retrying!=1.3.0,>=1.2.3 # Apache-2.0
WebOb>=1.2.3 # MIT
kombu>=3.0.25 # BSD
psutil<2.0.0,>=1.1.1 # BSD
six>=1.9.0 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
PyYAML>=3.1.0 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=2.7.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
testtools>=1.4.0 # MIT
yaql>=1.1.0 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
python-heatclient>=1.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.3.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

=== debian/changelog ===
murano (1:3.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 15:28:24 +0000

murano (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    CVE-2016-4972_Use_SafeLoader_to_load_yaml_files.patch
  * Add murano-cfapi-db-manage to the list of binaries in murano-common.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 12:51:42 +0200

murano (1:3.0.0~b1-2) experimental; urgency=medium

  * CVE-2016-4972: RCE vulnerability in Openstack Murano using insecure YAML
    tags. Applied upstream patch: Use SafeLoader to load yaml files.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 19:34:34 +0000

murano (1:3.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-oslo-config-generation-in-tempest.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 09:30:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,40 +14,43 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.0),
+Build-Depends-Indep: alembic (>= 0.8.4),
                      git,
-                     python-babel,
-                     python-congressclient (>= 1.0.2),
+                     python-babel (>= 2.3.4),
+                     python-congressclient (>= 1.3.0),
                      python-coverage,
+                     python-debtcollector (>= 1.2.0),
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
-                     python-heatclient (>= 0.6.0),
+                     python-heatclient (>= 1.1.0),
                      python-jsonpatch,
                      python-jsonschema,
+                     python-keystoneauth1 (>= 2.7.0),
                      python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-kombu (>= 3.0.25),
                      python-migrate (>= 0.9.6),
-                     python-mistralclient (>= 1.0.0),
-                     python-mock (>= 1.2),
+                     python-mistralclient (>= 2.0.0),
+                     python-mock (>= 2.0),
                      python-muranoclient (>= 0.8.2),
                      python-mysqldb,
                      python-netaddr (>= 0.7.2),
-                     python-neutronclient (>= 1:2.6.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-nose,
-                     python-oslo.concurrency (>= 3.7.1),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paste,
@@ -55,15 +58,14 @@
                      python-psutil,
                      python-psycopg2,
                      python-pymysql (>= 0.6.2),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-retrying,
                      python-routes,
                      python-semantic-version,
                      python-six (>= 1.9.0),
                      python-sphinxcontrib.httpdomain,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.10.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -72,6 +74,7 @@
                      python-yaml,
                      python-yaql (>= 1.1.0),
                      subunit,
+                     tempest (>= 1:12.0.0),
                      testrepository,
                      zip,
 Standards-Version: 3.9.8
@@ -82,33 +85,35 @@
 Package: python-murano
 Architecture: all
 Section: python
-Depends: alembic (>= 0.8.0),
-         python-babel,
-         python-congressclient (>= 1.0.2),
+Depends: alembic (>= 0.8.4),
+         python-babel (>= 2.3.4),
+         python-congressclient (>= 1.3.0),
+         python-debtcollector (>= 1.2.0),
          python-eventlet (>= 0.18.4),
-         python-heatclient (>= 0.6.0),
+         python-heatclient (>= 1.1.0),
          python-jsonpatch,
          python-jsonschema,
+         python-keystoneauth1 (>= 2.7.0),
          python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-kombu (>= 3.0.25),
-         python-mistralclient (>= 1.0.0),
+         python-mistralclient (>= 2.0.0),
          python-muranoclient (>= 0.8.2),
          python-mysqldb,
          python-netaddr (>= 0.7.2),
-         python-neutronclient (>= 1:2.6.0),
-         python-oslo.concurrency (>= 3.7.1),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-neutronclient (>= 1:4.2.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.15.0),
          python-paste,
          python-pastedeploy,
          python-pbr (>= 1.8),
@@ -121,7 +126,7 @@
          python-semantic-version,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-testtools (>= 1.4.0),
          python-webob,
          python-yaml,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/murano.git
 
 LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
